cd <GalleryItem\DeploymentTemplates Folder>
#Connect to MAS
$ResourceGroupName = "TenantContent"
$StorageAccountName = "odysseyartifacts"
$StorageAccount = Get-AzureRmStorageAccount -ResourceGroupName $ResourceGroupName -Name $StorageAccountName
$CreateUIPreviewContainer = $StorageAccount | New-AzureStorageContainer -Name previewui -Permission Blob
#$CreateUIPreviewContainer = $StorageAccount | Get-AzureStorageContainer -Name previewui
$Upload = $CreateUIPreviewContainer | Set-AzureStorageBlobContent -File .\CreateUIDefinition.json -Force
$uiUriEscaped = [uri]::EscapeDataString($Upload.ICloudBlob.Uri)
$sideloadUri = "https://portal.local.azurestack.external/#blade/Microsoft_Azure_Compute/CreateMultiVmWizardBlade/internal_bladeCallId/anything/internal_bladeCallerParams/{`"initialData`":{},`"providerConfig`":{`"createUiDefinition`":`"$uiUriEscaped`"}}"
Start-Process $sideloadUri
