cd "<location of template and template parameter file>"
$TemplateFile = ".\azuredeploy.json"
$TemplateParametersFile = ".\azuredeploy.parameters.json"
$ResourceGroupName = "OdysseyRG"
$ResourceGroupLocation = "local"
New-AzureRmResourceGroupDeployment  `
    -Name ((Get-ChildItem $TemplateFile).BaseName + '-' + 
((Get-Date).ToUniversalTime()).ToString('MMdd-HHmm')) `
    -ResourceGroupName $ResourceGroupName `
    -TemplateFile $TemplateFile `
    -TemplateParameterFile $TemplateParametersFile `
    -adminPassword (ConvertTo-SecureString -String "Start123!" -AsPlainText -Force) `
    -Force -Verbose
